Subject: bug#13076: guile: ",option prompt VALUE" only accepts literals

From: Andy Wingo <[email-masked]>
Date: Thu, 07 Mar 2013 11:31:23 +0100

On Tue 04 Dec 2012 04:29, Daniel Hartwig <[email-masked]> writes:

> The REPL prompt option accepts #f, strings, thunks, and procedures of
> one argument.  However, only the first two can be set using the
> meta-command ,option; one must use repl-option-set! for thunks and
> procedures.
>
> It seems that VALUE is not evaluated.

Fixed, thanks for the report.  Now it will always evaluate the RHS.

Note that this changes the behavior of ,on-error and ,compile-options,
but since they are interactive commands, that should be fine.

Andy
-- 
http://wingolog.org/